# VectorNav C++ Library: vn::permission_denied Class Reference

vn::permission_denied Class Reference

Indicates invalid permission for the operation. More...

`#include <exceptions.h>`

Inheritance diagram for vn::permission_denied:

## Public Member Functions

| permission_denied (std::string itemName)

## Detailed Description

Indicates invalid permission for the operation.

The documentation for this class was generated from the following file:

- include/vn/exceptions.h